var setDateFormat = function(date){
		var d = (date.getMonth() + 1);
		d += '-' + date.getDate();
		d += '-' + date.getFullYear();
		return d;
};

var setTimeFormat = function(date){
	var hours = date.getHours();
	var minutes = date.getMinutes();
	var meridiem = 'AM';
	
	if(hours>12) {
		hours = hours - 12;
		meridiem = ' PM';
	} else if (hours === 0){
		hours = 12;
	};
	if (minutes < 10) {minutes = '0' + minutes.toString();}
	return hours + ':' + minutes + meridiem;
};

//XML OPERATIONS
var xml_special_to_escaped_one_map = {
    '&': '&',
    '"': '"',
    '&lt;': '&lt;',
    '>': '&gt;'
};

var escaped_one_to_xml_special_map = {
    '&': '&',
    '"': '"',
    '&lt;': '&lt;',
    '&gt;': '>'
};

function encodeXml(string) {
    return string.replace(/([\&"&lt;>])/g, function(str, item) {
        return xml_special_to_escaped_one_map[item];
    });
};

function decodeXml(string) {
    return string.replace(/("|&lt;|&gt;|&)/g,
        function(str, item) {
            return escaped_one_to_xml_special_map[item];
    });
}

function getHTTPObject(method,url) {
  var xhr = new XMLHttpRequest();
  
  if ("withCredentials" in xhr) {
    // Check if the XMLHttpRequest object has a "withCredentials" property.
    // "withCredentials" only exists on XMLHTTPRequest2 objects.
    xhr.open(method, url, true);
  } else if (typeof XDomainRequest != "undefined") {
    // Otherwise, check if XDomainRequest.
    // XDomainRequest only exists in IE, and is IE's way of making CORS requests.
    xhr = new XDomainRequest();
    xhr.open(method, url);
  } else {
    // Otherwise, CORS is not supported by the browser.
    xhr = null;
  }
  return xhr;
}

function getTitle(text){
	return text.match('<title>(.*)?</title>')[1];
}

